/*******************************************************************************
 * This file is part of "Patrick's Programming Library", Version 7 (PPL7).
 * Web: http://www.pfp.de/ppl/
 *
 * $Author: pafe $
 * $Revision: 176 $
 * $Date: 2011-06-13 21:52:31 +0200 (Mo, 13. Jun 2011) $
 * $Id: Resourcen.cpp 176 2011-06-13 19:52:31Z pafe $
 * $URL: https://svn.code.sf.net/p/pplib/code/lib/trunk/src/core/Resourcen.cpp $
 *
 *******************************************************************************
 * Copyright (c) 2010, Patrick Fedick <patrick@pfp.de>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of the copyright holder nor the names of its
 *       contributors may be used to endorse or promote products derived
 *       from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER AND CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
 * THE POSSIBILITY OF SUCH DAMAGE.
 *******************************************************************************/

#include "prolog.h"
#ifdef HAVE_STDLIB_H
#include <stdlib.h>
#endif
#include "ppl7.h"
#include "ppl7-grafix.h"
//#include "grafix.h"
#ifdef WIN32
#pragma message( "*** Kompiliere Resourcen, das kann eine Weile dauern..." )
#endif

namespace ppl7 {

#include "../resource/res.h"

static Resource *pplResource=NULL;

static void PPLExitResource()
{
	if (pplResource) delete pplResource;
	pplResource=NULL;
}

Resource *GetPPLResource()
{
	if (!pplResource) {
		Resource *r;
		r=new Resource;
		r->useMemory(PPL7_RESOURCES,sizeof(PPL7_RESOURCES));
		pplResource=r;
		atexit(PPLExitResource);
	}
	return pplResource;
}



}	// EOF namespace ppl7
